From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-themes/gtk-engines-rezlooks/
Date: Sat, 8 Feb 2020 16:17:11 +0000 (UTC) [thread overview]
Message-ID: <1581178617.396eef6d4ceadd1c06105e8150f9edad754ed1b2.soap@gentoo> (raw)
commit: 396eef6d4ceadd1c06105e8150f9edad754ed1b2
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 8 16:16:57 2020 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Feb 8 16:16:57 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=396eef6d
x11-themes/gtk-engines-rezlooks: Proper EAPI 7 port
Package-Manager: Portage-2.3.87, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>
.../gtk-engines-rezlooks-0.6-r1.ebuild | 25 ++++++++++------------
1 file changed, 11 insertions(+), 14 deletions(-)
diff --git a/x11-themes/gtk-engines-rezlooks/gtk-engines-rezlooks-0.6-r1.ebuild b/x11-themes/gtk-engines-rezlooks/gtk-engines-rezlooks-0.6-r1.ebuild
index 445122e8382..4886633ce53 100644
--- a/x11-themes/gtk-engines-rezlooks/gtk-engines-rezlooks-0.6-r1.ebuild
+++ b/x11-themes/gtk-engines-rezlooks/gtk-engines-rezlooks-0.6-r1.ebuild
@@ -1,28 +1,25 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
inherit autotools
DESCRIPTION="Rezlooks GTK+ Engine"
HOMEPAGE="https://www.gnome-look.org/content/show.php?content=39179"
-SRC_URI="https://www.gnome-look.org/content/files/39179-rezlooks-0.6.tar.gz"
+SRC_URI="https://www.gnome-look.org/content/files/39179-rezlooks-${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-RDEPEND="
- >=x11-libs/gtk+-2.8:2
-"
-DEPEND="
- ${RDEPEND}
- virtual/pkgconfig
-"
-PATCHES=(
- "${FILESDIR}"/${PN}-0.6-glib-single-include.patch
-)
-S=${WORKDIR}/rezlooks-${PV}
+RDEPEND="x11-libs/gtk+:2"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+S="${WORKDIR}"/rezlooks-${PV}
+
+PATCHES=( "${FILESDIR}"/${PN}-0.6-glib-single-include.patch )
src_prepare() {
default
@@ -41,5 +38,5 @@ src_configure() {
src_install() {
default
- find "${D}" -name '*.la' -exec rm -f {} + || die
+ find "${D}" -name '*.la' -delete || die
}
next reply other threads:[~2020-02-08 16:17 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-02-08 16:17 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-07-19 7:43 [gentoo-commits] repo/gentoo:master commit in: x11-themes/gtk-engines-rezlooks/ Agostino Sarubbo
2020-07-20 6:42 Agostino Sarubbo
2020-07-20 21:34 Andreas Sturmlechner
2021-12-30 2:57 Jonas Stein
2023-05-29 18:21 Sam James
2025-02-10 8:50 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1581178617.396eef6d4ceadd1c06105e8150f9edad754ed1b2.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox